setstyle(1x)

NAME
setstyle - set style related options for Window Maker or loads a theme

SYNOPSIS
setstyle [--no-fonts] [--no-cursors] [--help] [--version] stylefile

DESCRIPTION
setstyle reads stylefile and writes its contents to the WindowMaker domain, efectively setting the Window Maker style. If the supplied path is a directory, it will be treated as a theme pack and it will be loaded appropriately. If the --no-fonts flag is specified, font related options (IconTitleFont, ClipTitleFont, DisplayFont, MenuTextFont, MenuTitleFont, WindowTitleFont) in the style file will be ignored. If the --no-cursors flag is specified, any mouse cursor definitions (NormalCursor, ArrowCursor, MoveCursor, TopLeftResizeCursor, TopRightResizeCursor, BottomLeftResizeCursor, BottomRightResizeCursor, VerticalResizeCursor, HorizontalResizeCursor, WaitCursor, QuestionCursor, TextCursor, SelectCursor) in the style or theme will be ignored.

OPTIONS

--no-fonts
    ignore font related options in style file.

--no-cursors
    ignore cursor definition options in style file.

--help
    print a help message

--version
    print version number

ENVIRONMENT

GNUSTEP_USER_ROOT
    specifies the initial path for the Defaults directory. "Defaults/" is appended to this variable to determine the actual location of the databases. If the varialbe is not set, it defaults to "~/GNUstep"

FILES

GNUSTEP_USER_ROOT/Defaults/WindowMaker
    This is the actual file that's written.

SEE ALSO
getstyle(1x), wmaker(1x)

AUTHOR
This man page was written by Marcelo Magallon <mmagallo@debian.org>.

Window Maker was written by Alfredo K. Kojima <kojima@windowmaker.info>.